#
# spec file for package spicctrl
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           spicctrl
Version:        1.9
Release:        273.1
Summary:        Control LCD Brightness and Bluetooth Power on Sony Vaio Laptops
License:        GPL-2.0+
Group:          Hardware/Other
Url:            http://popies.net/sonypi/
Source:         http://popies.net/sonypi/%{name}-%{version}.tar.bz2
ExclusiveArch:  %ix86
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
spicctrl is a utility that uses the Sony Programmable I/O Control
device (SPIC), which is part of most Sony Vaio laptops, to perform
several functions, such as changing the display brightness, controlling
Bluetooth power, or reporting battery status.



Authors:
--------
    Stelian Pop <stelian@popies.net>
    Jean Delvare <khali@linux-fr.org>
    David Robinson <drtr@enjura.com>
    Richard Bullington-McGuire <rbulling@pkrinternet.com>

%prep
%setup

%build
make CFLAGS="%optflags"

%install
make install PREFIX=%buildroot/usr DESTMAN=%buildroot/%_mandir/man1 DESTDOC=%buildroot/%_docdir/%name

%files
%defattr(-,root,root)
%_bindir/spicctrl
%doc %_mandir/man1/spicctrl.1*
%doc %_docdir/%name

%changelog
* Mon Sep 22 2014 jengelh@inai.de
- Update to new upstream release 1.9
  * Fix a small formatting error in the manpage
  * Fix getopt_long return type
- Remove redundant %%clean section
* Fri Jan  9 2009 olh@suse.de
- use ExclusiveArch as in /SRC/arch/
* Fri Dec 22 2006 ro@suse.de
- removed apmd from buildreq (dropped package)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Sep 28 2005 dmueller@suse.de
- add norootforbuild
* Wed Jun 15 2005 uli@suse.de
- update -> 1.8 (methods to get/set the FAN status and to get the
  current temperature)
* Mon Aug 23 2004 uli@suse.de
- initial package
